Login Successful, Desktop Never Loads

Bug #1285444 reported by Karl Dickman on 2014-02-27
222
This bug affects 47 people
Affects Status Importance Assigned to Milestone
at-spi2-core (Ubuntu)
Critical
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Nominated for Xenial by Alberto Salvia Novella

Bug Description

Here is what I encounter
1. Boot computer, boot proceeds normally
2. Reach standard Ubuntu login screen, nothing seems to be amiss
3. Enter user name and password
4. Login disappears, just see the pink "Ubuntu 14.04" background

The desktop never loads, not even after ~30 minutes. The launcher never appears, and the Desktop background never changes to the user-configured background.

Other features:
* Cursor works fine, it can be moved around the screen
* No error messages pop up
* ALT+F1 etc. can be used to switch to different TTYs; all files on the system appear to be intact
* Print screen button works (I will upload a screen shot when I get a chance to copy it onto a USB drive)
* Hitting power button pops up a window prompting the user to decide whether to shut down
* CTRL+ALT+DELETE prompts the user to log out
* Desktop does not load on any user accounts, including the guest account

affects: unity-system-compositor (Ubuntu) → ubuntu
Daniel van Vugt (vanvugt) wrote :

When you switch to a TTY, please run:
    ps auxw | grep compiz
What do you see?

Also, while there's no desktop and you're logged into the TTY, please take a copy of ".xsession-errors" from your home directory and attach it here.

Changed in ubuntu:
status: New → Incomplete
Karl Dickman (karldickman) wrote :

Additional information:
* Bug first occurred on 2014-02-24, did not occur on 2014-02-23.
* No modifications were made to compiz or unity settings
* Computer uses dual monitors

Karl Dickman (karldickman) wrote :

Here are the contents of .xsession-errors (can't attach the file):

openConnection: connect: no such file or directory
cannot connect to brltty at :0
Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd respawning too fast, stopped

Karl Dickman (karldickman) wrote :

Results of ps auxw|grep compiz:

karl 2771 0.0 0.0 4684 816 tty1 S+ 02:52 0:00 grep compiz

Contents of .xsession-errors:
openConnection: connect: no such file or directory
cannot connect to brltty at :0
Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd respawning too fast, stopped

Karl Dickman (karldickman) wrote :

A few days ago, an "report system problem" window started popping up when logging in. (No error window appeared when this problem first occurred.) Because compiz wasn't running, I could not actually repor the error.

Since compiz doesn't seem to be running, I tried logging in with GNOME/metacity. This popped open an error window. I have reported the bug at 1287311, because I am not completely sure whether the two errors are related.

Now that I am in metacity, I can also attach the screenshot that I promised but was not able to deliver.

Karl Dickman (karldickman) wrote :

GNOME 3 with compiz works. I can sort of fix the problem by switching to TTY1 and invoking unity --replace, but several unity features are missing. I would post a screenshot, but that doesn't work.

karl@adenauer$ cat .xsession-errors
openConnection: connect: No such file or directory
cannot connect to brltty at :0
Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd respawning too fast, stopped
init: unity-panel-service main process ended, respawning
init: indicator-bluetooth main process (23389) killed by TERM signal
init: indicator-power main process (23393) killed by TERM signal
init: indicator-datetime main process (23397) killed by TERM signal
init: indicator-sound main process (23399) killed by TERM signal
init: indicator-session main process (23403) killed by TERM signal
init: indicator-sync main process (23418) killed by TERM signal
init: indicator-application main process (23384) killed by TERM signal

Karl Dickman (karldickman) wrote :

Ubuntu desktop now loads correctly. I guess this bug was fixed sometime between when I filed it and now? The only changes I have made to the computer have been installing updates.

Markus (markusb) wrote :

I have the same problem since I updated the system today. Nothing has chenges besides the upgrade and the reboot afterwards. I can login using the 'classic' interface, but Unity does not work.

My .xsession-errors file lokks very similar to the one above:

markus@markus-ThinkPad-W530:~$ cat .xsession-errors.unity-broken
Script for ibus started at run_im.
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd respawning too fast, stopped
init: unity-settings-daemon main process (10653) terminated with status 1
init: unity-settings-daemon main process ended, respawning
init: gnome-session (Unity) main process (10687) terminated with status 1
init: unity-panel-service main process (10694) terminated with status 1
init: unity-panel-service main process ended, respawning
init: unity-settings-daemon main process (11411) killed by TERM signal
init: Disconnected from notified D-Bus bus
init: logrotate main process (10595) killed by TERM signal
init: indicator-bluetooth main process (10748) killed by TERM signal
init: indicator-power main process (10754) killed by TERM signal
init: indicator-datetime main process (10759) killed by TERM signal
init: indicator-printers main process (10769) killed by TERM signal
init: indicator-session main process (10777) killed by TERM signal
init: indicator-application main process (10794) killed by TERM signal
init: unity-panel-service main process (11412) killed by TERM signal

I have deleted the .Xauthority file, reinstalled the Nvidia-driver, etc. These do not help.

Markus (markusb) wrote :

I just updated again, there was a unity update with libunity-core-6.0-9

Unfortunately it does not help. The update which introduced the problem has 241 files updated, none of them with unity in the name, so this is not evident to find.

Is there a unity log file I can check ?

Very similar symptoms for me too, also starting this morning. This is on a Thinkpad T520. I found some logs in ~/.cache/upstart, and have attached the one for at-spi2-registryd in hopes that it's helpful.

Markus (markusb) wrote :

After installing a bunch of updates I tried it again. No dice.

Here the unity stuff updated today:

markus@markus-ThinkPad-W530:~$ grep "2014-07-17 .* status installed" /var/log/dpkg.log | grep unity
2014-07-17 10:42:25 status installed libunity-control-center1:amd64 14.04.3+14.04.20140604-0ubuntu1
2014-07-17 10:42:26 status installed unity-settings-daemon:amd64 14.04.0+14.04.20140606-0ubuntu1
2014-07-17 10:42:26 status installed unity-control-center:amd64 14.04.3+14.04.20140604-0ubuntu1
markus@markus-ThinkPad-W530:~$ grep "2014-07-17 .* status installed" /var/log/dpkg.log | wc -l
360

Appended the logs from ~/.cache/upstart.

msp3k (peek-nimbios) wrote :

This bug is affecting me as well.

I have one user out of 83 who cannot log in.

Other users can log in on the same machine without a problem.

I have:

* Deleted their ~/.compiz-1/

* Reinstalled the nvidia video drivers

* Reinstalled the unity packages from http://askubuntu.com/questions/478126/unity-not-working-after-upgrade-ubuntu-13-04-to-14-04#answer-478145

* And, in a fit of desperation, I renamed their home directory and created a new home directory from /etc/skel/.

No change in behavior.

Markus (markusb) wrote :

I added a new user on my PC and Unity loads fine for that new user. The conclusion is that the problem is with a part of the user-specific configuration. Unfortunately it is difficult to know where the problem is in the myriad of the config files and directories.

msp3k (peek-nimbios) wrote :

As mysteriously as the problem appeared, it disappeared. Still no clue what caused it. But for six hours two of my users could not use the unity desktop -- one of whom was my boss. :(

fermulator (fermulator) wrote :

Similar issue. My "workaround" is when the system starts, hit CTRL+ALT+F1 to hit the TTY1 ... (see login prompt), then hit CTRL+ALT+F7, and suddenly X is all running and happy ... not sure why its not auto-loading anymore since upgrade from 13.10 to 14.04...

Launchpad Janitor (janitor) wrote :

[Expired for Ubuntu because there has been no activity for 60 days.]

Changed in ubuntu:
status: Incomplete → Expired
Nikolaus Waxweiler (madleser) wrote :

On 14.10, just hit this problem, too. I installed the newest NVIDIA driver. Everything worked and an update for Xorg came in, now I get the same error messages and behavior... I hit this some time back when I was mucking around with graphics drivers if I remember correctly...

Markus (markusb) wrote :

As usual there has been 'progress' on my side. I lost my primary SSD and had to reinstall. The problem went away with that. I'm still convinced that the problem is with unity getting stuck, not the graphics driver.

Just try something: Create a subdirectory in your home directory and move everything (including all hidden files/directories) into it. Then log back in and it will work again. You can then move stuff back in place, only do it for know files/directories. You'll loose some gnome/uniti customization, but that's all.

Nikolaus Waxweiler (madleser) wrote :

Yes, I moved .config/dconf somewhere else and it's working again. I hope I don't have to repeat that with the next update...

Cyrus Harmon (ch-launchpad) wrote :

I have run into this problem on multiple occasions. Usually some random combination of chicken shaking and deleting configuration files seems to fix things. Not this time. This seems to be a very real problem affecting multiple users. Can we get this bug unexpired?

joseguzman (jose+ubu1) wrote :

Yes! a lot of chicken and coriander shaking, chants and incense help (not trolling here, I've been through this myself many times) however in the latest incarnation in my case, this issue seems to be caused by NVidia Driver compatibility issues. After much head-scratching, this is my current working combo: 3.13.0-43-generic kernel with NVIDIA-Linux-x86_64-340.65.run (the latest version available in both cases).
So if you are using the proprietary NVidia driver and have recently upgraded your kernel, try to update to the newest NVidia driver too, ABI changes in the kernel do happen even in minor upgrades.
An alternative is to avoid using the proprietary driver altogether and use the open source one instead.

Got it sporadically with the KDE desktop over the last weeks. Very annoying. The bug isn't system wide as other accounts load their desktops just fine. My account is on KDE.

I'm on Ubuntu 14.10. Dual monitor setup.

I keep an open mind on the NVIDIA driver has the last kernel updates required a manual dpkg reconfigure on nvidia-uvm, but again, as this is only affecting one account, I don't think its related with nvidia.

Got similar log:
openConnection: connect: no such file or directory
cannot connect to brltty at :0
Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.

Reopened the bug, marked as incomplete.

Changed in ubuntu:
status: Expired → Incomplete

Same for me. Has been appearing a couple of times already. Sometimes removing or chown .Xauthority solved the issue. Sometimes using GNOME once to logon and loging out solved it for a new unity logon.

This time nothing.

Complete .xsession-errors:

Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd respawning too fast, stopped

Joel Lisenby (sven-svenagen) wrote :

lightdm starts normally and allows me to log in but after logging in all I get is the "ubuntu 14.04 LTS" purple wallpaper or sometimes a black screen. I can move the mouse cursor around the screen. I have the latest updates installed as of today but no luck for the past two weeks now. I would love to have the desktop back again on this machine :( I have tried almost everything at http://askubuntu.com/questions/17381/unity-doesnt-load-no-launcher-no-dash-appears with no beans.

Motherboard: Gigabyte GA-M61SME-S2
GPU: Integrated NVIDIA GeForce 6100
Chipset: nForce 405

GPU Driver installed: nvidia-304-updates with nouveau drivers removed.

.xession-errors:

openConnection: connect: No such file or directory
cannot connect to brltty at :0
Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd main process ended, respawning
init: at-spi2-registryd respawning too fast, stopped

Tankypon (tankypon) wrote :

Same here, I have the problem on Ubuntu 14.10 after uninstalling my Nvidia drivers.. My desktop nevers loads, I have just my mouse cursor

.xession-errors:

openConnection: connect: No such file or directory
cannot connect to brltty at :0
Script for ibus started at run_im.
Script for auto started at run_im.

Had the same.
Guest user (or new user) could log in successfully, so had to do with something inside the users home dir.
Only renamed ~/.config/dconf/user file, after which the login worked again. (but user configuration was back to defaults)

derheld42 (carter-smithhart) wrote :

I don't know whether or not duplicate status is wrong.. but an internet search led me here and I'm hoping to give a possible fix to someone else who runs into this or something that looks like this:

Issue for me was ~/.Xauthority was owned by root. Not quite sure how that happened...

This fixed my issue:
sudo chmod user.user ~/.Xauthority

Ilya Bizyaev (bizyaev-game) wrote :

Hello everyone!
That's NOT a duplicate of https://bugs.launchpad.net/ubuntu/+source/at-spi2-core/+bug/1228567 !
There they say that the fix is already released, but I keep experiencing this issue on Ubuntu 16.04 (Xenial Xerus).
Only affects the user that uses Budgie desktop environment.
Have to run "killall at-spi-bus-launcher" to unfreeze the PC after login.

Please, help!

Ilya Bizyaev (bizyaev-game) wrote :

More certain bug reason definition

affects: ubuntu → at-spi2-core (Ubuntu)
Ilya Bizyaev (bizyaev-game) wrote :

Seems to be complete

Changed in at-spi2-core (Ubuntu):
status: Incomplete → New
tags: added: xenial
Ilya Bizyaev (bizyaev-game) wrote :

The bug seems to depend on ~/.config/dconf/user, removing which fixes the problem for a couple of boots.
But that's still an awful bug, making it impossible to use Ubuntu for those who don't know how to deal with the command line.

If removing your user dconf database works around the problem, could you please try and get a dump of the database when you have login problems?

To do this, go to a terminal of any kind, and run: dconf dump / > dconf-dump.txt

Attach dconf-dump.txt to this file, so we can further examine it, and try and work out what is causing the login issue.

Ilya Bizyaev (bizyaev-game) wrote :

Sure. Here it is.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in at-spi2-core (Ubuntu):
status: New → Confirmed
Changed in at-spi2-core (Ubuntu):
importance: Undecided → Critical

Here is mine dconf dump txt. I have exactly this problem after an fresh install and I could not solve it with reinitialisation om compiz and unity...

Yanick Rochon (yanick-rochon) wrote :

Same problem with Ubuntu MATE, a fresh install, updated and cannot log in. I would dump my dconf dump, but the file is 0 bytes. The only notable thing that I did was to replace Caja with nemo. Here is my .xsession.errors file. I'm not sure what else to provide :

--------------- .xsession.errors --------------------------
cannot connect to brltty at :0
Invalid parameter '-bypass-wm-hint'

Usage: /usr/bin/maliit-server [options]
Available options:
-help Show usage information
-allow-anonymous Allow anonymous/unauthenticated use of DBus interface
-override-address Override the DBus peer-to-peer address for input-context
WARNING: bool MIMPluginManagerPrivate::loadPlugin(const QDir&, const QString&) Error loading plugin from "/usr/lib/maliit/plugins/libmaliit-keyboard-plugin.so" "The shared library was not found."
WARNING: file:///usr/lib/maliit/plugins/nemo-keyboard.qml:32:1: module "QtQuick" is not installed
     import QtQuick 2.0
     ^
----------------------- /eof ----------------------------

Changed in at-spi2-core (Ubuntu):
status: Confirmed → Triaged
Ilya Bizyaev (bizyaev-game) wrote :

This bug makes it completely impossible to launch Budgie Desktop under a guest user. The load gets stuck, and even if you kill the at-spi-bus-launcher process, you are thrown away to the login screen.

Devon (devonfyson) wrote :

Using 16.04 had the same problem with blank screen. The first thing I tried was running 'unity-tweak-tool --reset-unity' but that made it even worse: before the windows had borders & top bar and I could use some shortcuts such as ctrl-alt-T to pull up gnome-terminal (but not custom shortcuts) and alt-tab to switch screens but that was lost after that command.

Removing ~/.config/dconf/user made it work again as noted above, but specifically something in /org/compiz since running 'dconf reset -f /org/compiz/' worked too.

I then reverted back to the problematic file and tried resetting /org/compiz/profiles/unity and the only thing that fixed was the alt-tab, shortcuts and window borders again. So there seems to be another bug since shortcuts are located in org/gnome/settings-daemon/plugins/media-keys

Running 'gnome-session-quit --force' gets an error which normally doesn't happen when it's working normally:
** (gnome-session-quit:3002): WARNING **: Failed to call logout: GDBus.Error:org.gnome.SessionManager.NotInRunning: Logout interface is only available during the Running phase

Attached is a dconf dump of /org/compiz

Devon (devonfyson) wrote :

I just realized dconf 'dump / > dump.txt' doesn't dump everything seen in dconf-editor, only the fields in bold (non-default values?). For example /org/compiz/gwd isn't in the dump file.

Should also note I have gnome3 desktop environment installed alongside unity but I recall the issues weren’t a result of installing that.

I attached a dconf dump of /org/compiz after running dconf reset -f /org/compiz on the problem file. So some difference between the two files is problematic.

Huckle (huck-berry) wrote :

Removing ~/.config/dconf and ~/.config/compiz-1 has not addressed this problem for me. They are regenerated on the next failed login. Interestingly enough, I'm only afflicted when my laptop is undocked. While docked, I can log in just fine.

I will note that I can "startx xmonad" while undocked but when I do so, keystrokes severely lag behind in gnome-terminal. There is no lag when using xterm. I presume this has something to do with the adaptive technologies not being integrated with xterm?

This started occurring for when when I upgraded my kernel and linux-firmware packages.

Ilya Bizyaev (bizyaev-game) wrote :

For those using Budgie Desktop, here is a link to the corresponding issue on GitHub:
https://github.com/solus-project/budgie-desktop/issues/419

Hiklo (hiklo) wrote :

Having a similar issue, but when i try to log in (bot with guest and main user) i get thrown out and not frozen. The issue seem to be something about openConnect

Einstein (hieu19926) wrote :

THANKS! #27, I just resolved it by:
sudo chown <my username> /home/<myhome>
sudo chown <my username> /home/<myhome>/.Xauthority

Maybe when I installed ftp server or something I updated, it reset my permission of my home directory.

Fernando Fernandez (ferdez) wrote :

Since an update a couple of days ago, I have the same symptoms.

I log in normally, the desktop appears (with icons) but nothing else. With right mouse click I can open a terminal, but windows have no borders and no menus.

I removed my ~/.config/dconf and .config/compiz-1 and checked my .XAuthority permissions, but the problem subsists.

My .xsession-errors only contain this:
  openConnection: connect: No such file or directory
  cannot connect to brltty at :0

I'm running Ubuntu 16.04.1 LTS

HTH

Fernando

Fullbuffer (fullbuffer) wrote :

I updated yesterday - with sudo apt dist-upgrade - and since then have been experiencing this issue.

I log in normally, the desktop appears (with icons) but nothing else. With right mouse click I can open a terminal, but windows have no borders and no menus.

I have tried moving the following with no luck (rebooting where needed):

1. mv ~/.config/dconf/user to user.old
2. sudo dconf reset -f /org/compiz
3. rm ~/.gconf ~/.gconfd ~/.metacity ~/.compiz ~/.compiz-1 ~/.config/compiz-1 ~/.config/dconf -rf
4. mv ~/.config ~/.config.old
5. ccsm & and enabling unity plugin
6. I checked .Xauthority, etc but permissions were fine
7. setsid unity
8. and a few other things found online

Couple things to note.

1. The guest user can login with no difficulty and gets a normal desktop
2. My .xsession-errors only contain this:
  openConnection: connect: No such file or directory
  cannot connect to brltty at :0

I'm running Ubuntu 16.04.1 LTS

Cheers,
  BB

My .xsession-errors only contain this:
openConnection: connect: No such file or directory
cannot connect to brltty at :0
upstart: The process indicator-application main ended, it is restarting
upstart: The process indicator-application main ended, it is restarting
upstart: indicator-application is restarted too quickly and stopped

Fullbuffer (fullbuffer) wrote :

Moving the ~/.cache directory out of the way and restarting has me back up and running again.

The UI is completely reset, but I have title bars, the launcher, and other widgets as expected so that I can use my desktop again.

mv ~/.cache ~/.cache-NOGOOD
sudo reboot

Maybe that will work for someone else.

Cheers,
  BB

Fernando Fernandez (ferdez) wrote :

It worked! (... ?!?).

No need to reboot, just logged out and in again.

Thanks BB

Cheers

Fernando

A member of https://lists.ubuntu.com/ told me to rename the hidden home subdirectory .cache to xx.cache and then reboot.

It worked to me but I have lost the history of Unity sidebar and browsers except firefox.

If it doesn't work then he said to try the same with following other subdirectories: .config, .gnome, .gnome2, .gnome_private2, .gconf, .gvfs, .local

Finally, re-rename the subdirectories except the causing one.

Cepreu-mail (cepreu-mail) wrote :

Same on me. Ubuntu 16.04 with latest updates at 20 September 2016.
In .xsession-errors:
openConnection: connect: No such file or directory
cannot connect to brltty at :0

Tried many workaround from this urls:
http://askubuntu.com/questions/17381/unity-doesnt-load-no-launcher-no-dash-appears
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1212987

No one is helped. Helped Fullbuffer's suggestion with moving .cache folder. Everything fine now.

By deleting from one to one folders in .cache I found that compizconfig-1 subfolder causing the problems. You does not need to delete entire cache, only this one.

For devs for further investigation of problem I attaching archive with my .cache/compizconfig-1 folder.

Marco Benini (marco-benini) wrote :

I've experienced the same problem. And I followed Fullbuffer's suggestion. Apart losing a few configurations (nothing essential), it works.
Many thanks!!!

Bru Baldoví (bru) wrote :

Same problem here.

Ubuntu 16.04 32 bits, frequent user affected, other users and guest not affected, solved removing ~/.cache/compizconfig-1 folder, Unity configuration lost.

Coeur Noir (gerald-maruccia-e) wrote :

And here are some other examples where removing
~/.cache/compizconfig-1
also helped.

Thomas (tombl) wrote :
Download full text (7.6 KiB)

I ran into this issue sporadically, but since yesterday I run into this issue every single time I try to login. In the past, rm -rf ~/.cache/compizconfig-1 helped.

Here's where compiz is sitting:

Thread 4 (Thread 0x7f27565f3700 (LWP 1900)):
#0 0x00007f27635749cd in read () at ../sysdeps/unix/syscall-template.S:84
#1 0x00007f2761deb740 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007f2761da7e84 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007f2761da8340 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4 0x00007f2761da8722 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5 0x00007f2757b50916 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6 0x00007f2761dcebc5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7 0x00007f27617396fa in start_thread (arg=0x7f27565f3700) at pthread_create.c:333
#8 0x00007f2763584b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f2757421700 (LWP 1885)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1 0x00007f2761dec28c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007f2761da5d1d in g_source_attach () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007f2757b50cb8 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4 0x00007f2757b51318 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5 0x00007f2757b3e02b in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6 0x00007f2757b42326 in g_dbus_connection_send_message_with_reply () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#7 0x00007f2757b4278b in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#8 0x00007f2757b44f35 in g_dbus_connection_call () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#9 0x00007f275742918f in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#10 0x00007f2761da805a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f2761da8400 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f2761da84ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007f275742928d in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#14 0x00007f2761dcebc5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#15 0x00007f27617396fa in start_thread (arg=0x7f2757421700) at pthread_create.c:333
#16 0x00007f2763584b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f275f90c700 (LWP 1859)):
#0 0x00007f2763578e8d in poll () at ../sysdeps/unix/syscall-template.S:84
#1 0x00007f2761da839c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007f2761da84ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3 0x00007f2761da84e9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4 0x00007f2761dcebc5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5 0x00007f27617396fa in start_thread (arg=0x7f275f90c700) at pthread_create.c:333
#6 0x00007f2763584b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f276429a780 (LWP 1857)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86...

Read more...

Thomas (tombl) wrote :

It seemed like it happened every time at first, but it's really only been about 50% in the past two weeks. So every second login attempt would end up getting stuck on average.

I upgraded to 16.10 yesterday and have not yet encountered this issue.

bitinerant (bitinerant) wrote :

This may help someone. I fixed a consistent login loop by moving 52 .tif files (127MB) from the desktop into a subfolder. The desktop still has 30 .gif and .jpg files but seems okay.

Thomas (tombl) wrote :

I still have not run into this once since upgrading to 16.10.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.